<bugID>835722<Summary>Infobar reappears even when not needed.</Summary><Description>Two situations when the infobar reappears even if it is not required to.

1) Open inspector and lock and node (or even not)
2) Switch to some other tool, lets say Web Console
3) Infobar disappears (the Highlighter)
3) Refresh the page.
4) Infobar reappears.

1) Open inspector and select any node.
2) Select a non node element, like a comment or script or head using the markup view.
3) Infobar disappears.
4) Move your mouse in the Rules side bar, and now move outside of it.
5) Infobar reappears, with the previously selected node selected.

In both the cases infobar should not reappear.</Description></bugID>